Rotate Utility Functions
Rotate

## Functions

NppStatus | nppiGetRotateQuad (NppiRect oSrcROI, double aQuad[4][2], double nAngle, double nShiftX, double nShiftY)
| Compute shape of rotated image. More...
NppStatus | nppiGetRotateBound (NppiRect oSrcROI, double aBoundingBox[2][2], double nAngle, double nShiftX, double nShiftY)
| Compute bounding-box of rotated image. More...

## Detailed Description

## Function Documentation

NppStatus nppiGetRotateBound | ( | NppiRect | oSrcROI,
|  | double | aBoundingBox[2][2],
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY
| ) |  |

Compute bounding-box of rotated image.

Parameters

  oSrcROI | Region-of-interest of the source image.
  aBoundingBox | Two 2D points representing the bounding-box of the rotated image. All four points from nppiGetRotateQuad are contained inside the axis-aligned rectangle spanned by the the two points of this bounding box.
  nAngle | The rotation angle.
  nShiftX | Post-rotation shift in x-direction.
  nShiftY | Post-rotation shift in y-direction.

Returns
  ROI Related Error Codes.

NppStatus nppiGetRotateQuad | ( | NppiRect | oSrcROI,
|  | double | aQuad[4][2],
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY
| ) |  |

Compute shape of rotated image.

Parameters

  oSrcROI | Region-of-interest of the source image.
  aQuad | Array of 2D points. These points are the locations of the corners of the rotated ROI.
  nAngle | The rotation nAngle.
  nShiftX | Post-rotation shift in x-direction
  nShiftY | Post-rotation shift in y-direction

Returns
  ROI Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation